### Virtual Method

# Nautilus ColumnProvider get_columns

#### Declaration [src]

    GList*
    get_columns (
      NautilusColumnProvider* provider
    )

#### Description

No description available.

#### Return value

Type: A list of `NautilusColumn*`

The provided `NautilusColumn` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.